nRF51 SDK: ble_conn_params_init_t Struct Reference

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_conn_params_init_t Struct Reference
Connection Parameters Negotiation

Connection Parameters Module init structure. This contains all options and data needed for initialization of the connection parameters negotiation module. More...

`#include <ble_conn_params.h>`

## Data Fields

ble_gap_conn_params_t * | p_conn_params
uint32_t | first_conn_params_update_delay
uint32_t | next_conn_params_update_delay
uint8_t | max_conn_params_update_count
uint16_t | start_on_notify_cccd_handle
bool | disconnect_on_fail
ble_conn_params_evt_handler_t | evt_handler
ble_srv_error_handler_t | error_handler

## Detailed Description

Connection Parameters Module init structure. This contains all options and data needed for initialization of the connection parameters negotiation module.

## Field Documentation

bool ble_conn_params_init_t::disconnect_on_fail

Set to TRUE if a failed connection parameters update shall cause an automatic disconnection, set to FALSE otherwise.

ble_srv_error_handler_t ble_conn_params_init_t::error_handler

Function to be called in case of an error.

ble_conn_params_evt_handler_t ble_conn_params_init_t::evt_handler

Event handler to be called for handling events in the Connection Parameters.

uint32_t ble_conn_params_init_t::first_conn_params_update_delay

Time from initiating event (connect or start of notification) to first time sd_ble_gap_conn_param_update is called (in number of timer ticks).

uint8_t ble_conn_params_init_t::max_conn_params_update_count

Number of attempts before giving up the negotiation.

uint32_t ble_conn_params_init_t::next_conn_params_update_delay

Time between each call to sd_ble_gap_conn_param_update after the first (in number of timer ticks). Recommended value 30 seconds as per BLUETOOTH SPECIFICATION Version 4.0.

ble_gap_conn_params_t* ble_conn_params_init_t::p_conn_params

Pointer to the connection parameters desired by the application. When calling ble_conn_params_init, if this parameter is set to NULL, the connection parameters will be fetched from host.

uint16_t ble_conn_params_init_t::start_on_notify_cccd_handle

If procedure is to be started when notification is started, set this to the handle of the corresponding CCCD. Set to BLE_GATT_HANDLE_INVALID if procedure is to be started on connect event.